SDL_FRect(3type)

NAME
SDL_FRect - A rectangle, with the origin at the upper left (using floating point values).

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_FRect
{
    float x;
    float y;
    float w;
    float h;
} SDL_FRect;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RectEmptyFloat(3), •(3), SDL_RectsEqualFloat(3), •(3), SDL_RectsEqualEpsilon(3), •(3), SDL_HasRectIntersectionFloat(3), •(3), SDL_GetRectIntersectionFloat(3), •(3), SDL_GetRectAndLineIntersectionFloat(3), •(3), SDL_GetRectUnionFloat(3), •(3), SDL_GetRectEnclosingPointsFloat(3), •(3), SDL_PointInRectFloat(3)